AOZ Studio Beta - Bug #573

Inkey$ captures previous input character
11/16/2020 08:34 PM - Paul Kitching

Status: Closed Start date: 11/16/2020
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 0:00 hour
Target version:

Affected version: Beta RC4

Description

If you just press return this shouldn't print "not blank”, but it does. Temp2 contains the return char so tests for an empty string fail:

#manifest: "aoz"

input temp$

wait 1

temp2$=inkey$

if temp2$%<>"" then print "not blank"
wait key

end

| put in a wait just to prove it wasn't getting the key from the speed of it running when the key is still pressed from the input line.

History

#1 - 11/16/2020 08:51 PM - Paul Kitching
Putting in a CLEAR KEY doesn't get rid of it, and neither does setting the variable to "".
The only way | can get rid of it is to put in a WAIT KEY that accepts it (and therefore doesn't wait).

#2 - 02/24/2021 08:08 PM - Paul Kitching

- Status changed from New to Closed

This is now working.
